---
title: llarp::OutboundMessageHandler::MessageQueueStats

---

# llarp::OutboundMessageHandler::MessageQueueStats





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[queued](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueStats.md#variable-queued)**  |
| uint64_t | **[dropped](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueStats.md#variable-dropped)**  |
| uint64_t | **[sent](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueStats.md#variable-sent)**  |
| uint32_t | **[queueWatermark](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueStats.md#variable-queuewatermark)**  |
| uint32_t | **[perTickMax](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueStats.md#variable-pertickmax)**  |
| uint32_t | **[numTicks](Classes/structllarp_1_1OutboundMessageHandler_1_1MessageQueueStats.md#variable-numticks)**  |

## Public Attributes Documentation

### variable queued

```cpp
uint64_t queued = 0;
```


### variable dropped

```cpp
uint64_t dropped = 0;
```


### variable sent

```cpp
uint64_t sent = 0;
```


### variable queueWatermark

```cpp
uint32_t queueWatermark = 0;
```


### variable perTickMax

```cpp
uint32_t perTickMax = 0;
```


### variable numTicks

```cpp
uint32_t numTicks = 0;
```


-------------------------------

Updated on 2022-10-06 at 19:25:17 +0000